package com.gingersoft.gsa.cloud.base.utils;

import com.gingersoft.gsa.cloud.base.common.bean.mealManger.MyOrderManage;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-03-12
 * 修订历史：2020-03-12
 * 描述：
 */
public class MemberInfoUtils {



    /**
     * 獲取消費前積分
     *
     * @return
     */
    private double getLastPoint() {
        double LastPoint = 0.0;
        if (hasUseMember()) {
            LastPoint = MyOrderManage.getInstance().getMemberInfo().getMemberPoint();
        }
        return LastPoint;
    }


    /**
     * 是否有使用會員
     *
     * @return
     */
    public boolean hasUseMember() {
        if (MyOrderManage.getInstance().getMemberInfo() != null) {
            return true;
        }
        return false;
    }


}
